<?php

require_once("tests/StandardUnitTestAbstract.php");

class Classes_ClassNamingTest extends StandardUnitTestAbstract
{
    
    public function setUp(){
        $this->sniffs = array("Maarch.NamingConventions.ValidClassName");    
    }
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            3 => 1,
            9 => 1,
            15 => 1,
            18 => 1,
            21 => 1,
            24 => 1,
            30 => 1,
            33 => 1,
            36 => 1,
            42 => 1,
            48 => 1,
        );
    }

    public function getWarningList()
    {
        return array();
    }
}