<?php
require_once "tests/StandardUnitTestAbstract.php";

class Functions_FunctionNamingTest extends StandardUnitTestAbstract
{
    
    public function setUp(){
        $this->sniffs = array("Maarch.NamingConventions.ValidFunctionName");    
    }
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            3 => 1,
            6 => 1,
            9 => 2,
            12 => 1,
            18 => 1,
            24 => 1,
            27 => 1,
            30 => 1,
            36 => 1,
            40 => 2,
            43 => 2,
            46 => 2,
            49 => 2,
            52 => 2,
            59 => 2,
            62 => 2,
            65 => 2,
            68 => 2,
            71 => 2, 
        );
    }

    public function getWarningList()
    {
        return array();
    }
}