<?php

require_once("tests/StandardUnitTestAbstract.php");

class PHP_LineFormatTest extends StandardUnitTestAbstract
{
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            5 => 1,
            8 => 1,
        );
    }

    public function getWarningList()
    {
        return array(
            4 => 1
        );
    }
}
