<?php

require_once "tests/StandardUnitTestAbstract.php";

class Variables_VariableNamingTest extends StandardUnitTestAbstract
{
    
    public function setUp(){
        $this->sniffs = array("Zend.NamingConventions.ValidVariableName");    
    }
	
    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
            5 => 1,
            6 => 1,
            7 => 1,
            8 => 1,
            14 => 1,
            15 => 1,
            16 => 1,
            17 => 1,
            18 => 1,
            20 => 1,
            21 => 1,
            22 => 1,
            24 => 1,
            25 => 1,
        );
    }

    public function getWarningList()
    {
        return array(
            28 => 1,
        );
    }
}